package com.ruoyi.system.domain.vo.orderTaking;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.io.Serializable;
import java.util.List;

public class SkuVo implements Serializable {
    private String skuId;

    private String state;

    public String getSkuId() {
        return skuId;
    }

    public void setSkuId(String skuId) {
        this.skuId = skuId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }



    public String getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(String isDefault) {
        this.isDefault = isDefault;
    }


    public JSONArray getRules() {
        return rules;
    }

    public void setRules(JSONArray rules) {
        this.rules = rules;
    }

    private String price;

    private JSONArray rules;

    public String getRulesString() {
        return rulesString;
    }

    public void setRulesString(String rulesString) {
        this.rulesString = rulesString;
    }

    public String getDiscount() {
        return discount;
    }

    public void setDiscount(String discount) {
        this.discount = discount;
    }

    /**
     * 0 默认
     */
    private String isDefault;

    private String rulesString;

    private String discount;
}
